function [fData] =  Odsum(data, scale, width )
% priklad pouzitia  Odsum(inputdata, 8, 3 );
% data su vstupne data
%scale urcuje mierku gaussianoveho filtra
% width paramater gauss jadra, urcuje jeho sirku

g= KernelGauss(scale, width ); %vytvorenie gaussianovho jadra danej velkosti
                                    %a sirky

%vyplnenie okrajov s velkostou g na zaciatku a konci
 padData = [data(1)*ones(length(g),1); data; data(end)*ones(length(g),1)]; 
 %konvolucia
 fData = conv(padData, g);                                                 
 
 offset = (length(fData) - length(data)) / 2;
 fData = fData(offset:offset+length(data)-1); %odstraneny padding

    
%  %zobrazenie povodnych dat a odsumenych dat v jednom grafe
%  figure
%  plot(data)
% hold on
% plot(fData)